> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate Triggering a Noise Threshold

> Simulates the triggering of a [noise threshold](https://docs.seam.co/capability-guides/noise-sensors/configure-noise-threshold-settings) for a [noise sensor](https://docs.seam.co/capability-guides/noise-sensors) in a [sandbox workspace](https://docs.seam.co/core-concepts/workspaces#sandbox-workspaces).



## OpenAPI

````yaml /openapi.json post /noise_sensors/simulate/trigger_noise_threshold
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /noise_sensors/simulate/trigger_noise_threshold:
    post:
      tags:
        - /noise_sensors
      summary: Simulate Triggering a Noise Threshold
      description: >-
        Simulates the triggering of a [noise
        threshold](https://docs.seam.co/capability-guides/noise-sensors/configure-noise-threshold-settings)
        for a [noise
        sensor](https://docs.seam.co/capability-guides/noise-sensors) in a
        [sandbox
        workspace](https://docs.seam.co/core-concepts/workspaces#sandbox-workspaces).
      operationId: noiseSensorsSimulateTriggerNoiseThresholdPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                device_id:
                  description: >-
                    ID of the device for which you want to simulate the
                    triggering of a noise threshold.
                  format: uuid
                  type: string
              required:
                - device_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.noiseSensors.simulate.triggerNoiseThreshold({
              device_id: "c0384c1c-9038-427c-9a72-314d2b168d43",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/noise_sensors/simulate/trigger_noise_threshold"
            \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "device_id": "c0384c1c-9038-427c-9a72-314d2b168d43"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.noise_sensors.simulate.trigger_noise_threshold(
                device_id="c0384c1c-9038-427c-9a72-314d2b168d43"
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.noise_sensors.simulate.trigger_noise_threshold(
              device_id: "c0384c1c-9038-427c-9a72-314d2b168d43",
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->noise_sensors->simulate->trigger_noise_threshold(
                device_id: "c0384c1c-9038-427c-9a72-314d2b168d43",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam noise-sensors simulate trigger-noise-threshold --device_id
            "c0384c1c-9038-427c-9a72-314d2b168d43"


            # {}
components:
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http

````